Download it now!
Bug 116900 - The width and height settings are absolute on reopening of the Page style area dialog with the scale checkbox checked
Summary: The width and height settings are absolute on reopening of the Page style are...
Status: RESOLVED DUPLICATE of bug 120565
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2018-04-09 16:14 UTC by Telesto
Modified: 2019-01-23 09:11 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-04-09 16:14:59 UTC
Description:
The width and height settings are absolute on reopening of the (Page style) area dialog with the scale checkbox checked

Steps to Reproduce:
1. Format -> Page -> Area tab
2. Bitmap button -> Select a bitmap. Check the 'scale' checkbox
3. Press -> OK 
4. Open the area tab again -> Format -> Page -> Area tab
5. Height and width shown in absolutes

Actual Results:  
Size is shown in absolutes with scale checkbox checked 

Expected Results:
The image size should be relative with the scale checkbox checked


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.1.0.0.alpha0+
Build ID: 818619b0f2f7813decb26d0b14362dec76a8ff37
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2018-04-08_13:29:47
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Dieter 2018-04-12 13:18:07 UTC
Do you choose "custom" as style? This is the only setting, whre I can check the 'scale' checkbox.
Comment 2 Telesto 2018-04-12 15:32:10 UTC
(In reply to Dieter Praas from comment #1)
> Do you choose "custom" as style? This is the only setting, whre I can check
> the 'scale' checkbox.

Tiled. It's only available in recent builds
Comment 3 Jean-Baptiste Faure 2018-04-14 13:36:53 UTC
Confirmed with Version: 6.1.0.0.alpha0+
Build ID: eb6531dcb19e61baff69356eda5fd7f2a5d46458
Threads CPU : 4; OS : Linux 4.4; UI Render : par défaut; VCL: gtk3; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: 

Hi Katarina, this one may be interesting for you.

Status set to NEW.

Best regards. JBF
Comment 4 Gareth Randall 2018-05-24 06:49:47 UTC
Similar problem also seen on the following release (with the Scale tickbox greyed out):

Version: 6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 4; OS: Mac OS X 10.13.4; UI render: default; 
Locale: en-GB (en_GB.UTF-8); Calc: group

When I inserted a background image using: Format -> Page -> Area -> Bitmap

Style = Tiled (with the Scale tickbox greyed out)

I had to adjust the following in order to make the image the correct size for what I was writing.

Width: 33%
Height: 33%

However, when the "Page Style" dialog is reopened, these fields instead display:

Width: 176%
Height: 176%
Comment 5 Cor Nouws 2019-01-04 12:07:22 UTC
(In reply to Telesto from comment #0)
> Description:
> ...
> 5. Height and width shown in absolutes
For me "1 cm" in both boxes.
This with "Tiled" but also with "Custom position/size"

In the older old version (completely different dialog/page) this was OK. So let's say it's an implementation error.

Also I would say the option "scale" should be disabled in combination with "tiled"
This is how it is in older versions (6.0.x) (see bug #122478)
Comment 6 Katarina Behrens (Inactive) 2019-01-23 09:11:35 UTC
Fixed in the meantime

*** This bug has been marked as a duplicate of bug 120565 ***